package com.yeejoin.amos.boot.module.jg.biz.edit.process.biz.installNotice;

import com.yeejoin.amos.boot.module.jg.api.dto.FieldChangeMeta;
import com.yeejoin.amos.boot.module.jg.biz.edit.core.RouterEventPublisher;
import com.yeejoin.amos.boot.module.jg.biz.edit.event.BaseBizDataChangeEvent;
import com.yeejoin.amos.boot.module.jg.biz.edit.process.biz.DefaultBizDataChangeHandler;
import org.springframework.stereotype.Component;

import java.util.Collections;
import java.util.List;
import java.util.Map;
import java.util.Set;

@Component
public class InstallNoticeDataChangeHandler extends DefaultBizDataChangeHandler<BaseBizDataChangeEvent> {
    protected InstallNoticeDataChangeHandler(RouterEventPublisher routerEventPublisher) {
        super(routerEventPublisher);
    }

    @Override
    public String canHandleBizType() {
        return "installationNotice";
    }

    @Override
    public Map<String, ?> getDetail(String applyNo, String bizId) {
        return Collections.emptyMap();
    }

    @Override
    public List<FieldChangeMeta> updBizData(String applyNo, ModelType model, Map<String, Object> changeData) {
        return Collections.emptyList();
    }

    @Override
    public Boolean beforeCheck(String applyNo, ModelType model, Map<String, Object> changeData) {
        return null;
    }

    @Override
    public Set<String> getEqs(String applyNo) {
        return Collections.emptySet();
    }

    @Override
    public List<FieldChangeMeta> updEqDataIfBizFin(String applyNo, ModelType model, Map<String, Object> changeData) {
        return Collections.emptyList();
    }

    @Override
    public Boolean bizIsFinished(String applyNo, ModelType model, Map<String, Object> changeData) {
        return null;
    }

    @Override
    public Set<String> getProjectContraptionIds(String applyNo) {
        return Collections.emptySet();
    }
}
