package com.yeejoin.amos.boot.module.ymt.api.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yeejoin.amos.boot.biz.common.annotation.FieldDisplayDefine;
import com.yeejoin.amos.boot.biz.common.annotation.Group;
import com.yeejoin.amos.boot.biz.common.entity.TzsBaseEntity;
import com.yeejoin.amos.boot.module.common.api.dto.IBaseChangeData;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 监督管理信息表
 *
 * @author system_generator
 * @date 2023-08-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("idx_biz_jg_supervision_info")
@Group("idx_biz_jg_supervision_info")
public class IdxBizJgSupervisionInfo extends TzsBaseEntity implements IBaseChangeData {

    
    

    /**
     *
     */
	@TableField("\"RECORD\"")
    private String record;
    

    /**
     *
     */
	@TableField("\"INSTANCE_ID\"")
    private String instanceId;

    /**
     *
     */
	@TableField("\"STATUS\"")
    private String status;

    /**
     *
     */
    @FieldDisplayDefine(value = "管辖分局组织机构代码")
	@TableField("\"ORG_BRANCH_CODE\"")
    private String orgBranchCode;
    /**
     *  	 * 公司/组织机构代码
     *      */

    @TableField(value ="\"COMPANY_ORG_BRANCH_CODE\"")
    @FieldDisplayDefine(value = "公司/组织机构代码")
    private String companyOrgBranchCode;

    /**
     *
     */
	@TableField("\"ORG_BRANCH_NAME\"")
    @FieldDisplayDefine(value = "管辖分局名称")
    private String orgBranchName;

    /**
     *
     */
	@TableField("\"KEY_MONITORING_EQU\"")
    private String keyMonitoringEqu;

    /**
     *
     */
	@TableField("\"DENSELY_POPULATED_AREAS\"")
    private String denselyPopulatedAreas;

    /**
     *
     */
	@TableField("\"IMPORTANT_PLACES\"")
    private String importantPlaces;

}
